Skip to main content

Face auth - generate transaction ID (init)

Endpoint: POST /abha/api/v3/enrollment/enrol/auth/init

POST/abha/api/v3/enrollment/enrol/auth/init

Flow: Create ABHA - Face Authentication - step 1 of 9

  • Previous: none (first call of this flow)
  • Next: *Face auth - capture PID / track status*

---

This API will help to generate transaction ID. This transaction ID will be used for whole face authentication process.

The user can submit this transaction ID to the ABHA app using either intent-based sharing or by generating a QR code.

User can use this transaction ID to generate QR code using any QR generator tool. Open ABHA app and scan this QR code on ABHA App to start and complete the face capture process.

The data format of the QR code should follow this pattern: https:///face-auth?txnId=.

For example: https://phrsbx.abdm.gov.in/face-auth?txnId=bac7251b-cd25-44d5-9707-f3d2ba181c1c

For Sandbox- PHR-env-base-URL - https://phrsbx.abdm.gov.in For Production - PHR-env-base-URL - https://phr.abdm.gov.in

Authorizations

Authorizationbearer tokenRequired

The access token from POST /api/hiecm/gateway/v3/sessions, sent with a Bearer prefix.

Headers

REQUEST-IDstringRequired

Unique UUID for every request.

TIMESTAMPstringRequired

Current UTC timestamp in ISO-8601 format.

Body

scopestring[]Required

The scopes of the request, which name the flow this call belongs to.

Responses

200

The 200 response code indicates a successful request. In this context, it refers to the successful generation of Transaction Id.

txnIdstring
messagestring
400

The 400 response code indicates a bad request.

Error codes for this module

scopestring
timestampstring
401

The 401 response code indicates an unauthorized request. In this context, it refers to the lack of proper authentication during the operation of the Invalid Credentials

Everything returns 401

codestring
messagestring
descriptionstring
500

Internal Server Error

An Internal Server Error (500) indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.

Error codes for this module